> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sync.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Connection Tables

> List all the available tables.



## OpenAPI

````yaml /26.2/en/rest-api/openapi-v1.json post /getConnectionTables
openapi: 3.0.1
info:
  title: CData OpenAPI
  version: 26.2.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://sync.example.com/api.rsc
        description: >-
          Base URL of your Sync instance, including scheme and application path
          (e.g. https://sync.example.com/api.rsc).
security: []
paths:
  /getConnectionTables:
    post:
      tags:
        - getConnectionTables
      summary: List All Connection Tables
      description: List all the available tables.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getConnectionTables_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getConnectionTables_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - basic: []
        - authtoken_header: []
        - authtoken_query: []
components:
  schemas:
    getConnectionTables_input:
      type: object
      required:
        - ConnectionName
      properties:
        WorkspaceId:
          type: string
          description: The id of WorkspaceId.
          default: default
        ConnectionName:
          type: string
          description: The name of the connection.
        TableOrView:
          type: string
          description: The types (tables or views) that should be listed.
          default: ALL
        IncludeCatalog:
          type: string
          description: Whether include the catalog name in the table name.
          default: 'false'
        IncludeSchema:
          type: string
          description: Whether include the schema name in the table name.
          default: 'false'
        Schema:
          type: string
          description: Specify the schema for the database.
        SkipTable:
          type: string
          description: The number of skipping table, this is for paging.
          default: '-1'
        TopTable:
          type: string
          description: The number of topping table, this is for paging.
          default: '5000'
        ResetMetadata:
          type: string
          description: Whether reset metadata before getting tables.
          default: 'false'
        JobId:
          type: string
          description: The obtained table will be added to the job.
    getConnectionTables_output:
      type: array
      items:
        type: object
        properties:
          TableName:
            type: string
            description: The name of the table.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````